## org.eclipse.emf.codegen.jet
Class JETAddNatureOperation

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETAddNatureOperation

All Implemented Interfaces:
  IWorkspaceRunnable

    public class JETAddNatureOperation

extends java.lang.Object
implements IWorkspaceRunnable

Field Summary
`protected java.util.List<IProject>` `projects`

Constructor Summary
`JETAddNatureOperation(java.util.Collection<?> objects)` Creates an instance from the given collection of projects.

Method Summary
`void` `run(IProgressMonitor monitor)` Perform this operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### projects

    protected java.util.List<IProject> projects

Constructor Detail

### JETAddNatureOperation

    public JETAddNatureOperation(java.util.Collection<?> objects)

  Creates an instance from the given collection of projects.

Method Detail

### run

    public void run(IProgressMonitor monitor)
             throws CoreException

  Perform this operation.

  Specified by:
    `run` in interface `IWorkspaceRunnable`
  Throws:
    `CoreException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.